Bug 310506 - When connected to AC power, screen locks and device sleeps every minute
Summary: When connected to AC power, screen locks and device sleeps every minute
Status: RESOLVED FIXED
Alias: None
Product: Active
Classification: Unclassified
Component: General (show other bugs)
Version: Master
Platform: unspecified Other
: NOR major (vote)
Target Milestone: unscheduled
Assignee: active
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-22 14:22 UTC by Thomas Pfeiffer
Modified: 2013-03-25 18:50 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Pfeiffer 2012-11-22 14:22:16 UTC
When the device is connected to AC, after one minute of inactivity, the screen locks (and then the device goes to sleep after the timeout).
This is caused by the fact that for some reason, in the "Energy Saving" options in the "On AC Power" profile, "Suspend Session" is activated and set to "After 1 min" "Lock Screen".
This setting always trumps any changes you make in the Settings app.

Reproducible: Always

Steps to Reproduce:
1. Connect your device to AC power
2. Wait for a minute
3. Open "Settings"
4. Tap "Screen"
5. Deactivate "Lock Screen" or set it to a value > 1 minute.
6. Wait for a minute
Actual Results:  
Screen locks, device goes to sleep.

Expected Results:  
On AC power, if any locking happens at all, it should take a lot longer than 1 minute.
Comment 1 Marco Martin 2013-01-21 16:12:08 UTC
behavior should be a bit better now.
needs more testing as on a couple of devices here seems to work but i'm not sure is really fixed
Comment 2 Sebastian Kügler 2013-01-22 12:13:32 UTC
It seems to be fixed on my viewtab.
Comment 3 Oliver Henshaw 2013-01-26 15:04:12 UTC
It looks like In applications/settings/modules/powermanagement/contents/ui/Power.qml the DPMS timeouts are converted to centiseconds (?) instead of seconds; the suspend timeouts are converted to centiseconds instead of milliseconds; in one place, the AC suspend timeout is converted to seconds instead of milliseconds.

This is probably responsible for much of the weirdness, and the fact that the two config UIs appear to clash (bug #304877).
Comment 4 Thomas Pfeiffer 2013-02-05 19:43:11 UTC
My WeTab is behaving okay now, too. Marking this bug as fixed.
Comment 5 Oliver Henshaw 2013-03-25 17:24:01 UTC
Re-opening this to try to fix it properly.
Comment 6 Oliver Henshaw 2013-03-25 18:50:18 UTC
Git commit 7c33ee0a6d2fa5b92431ad974e512f1b5d978366 by Oliver Henshaw.
Committed on 25/03/2013 at 17:21.
Pushed by oliverhenshaw into branch 'oliverhenshaw/power-timeouts'.

DPMS idle timeouts are stored in seconds

Meant that screen power-saving was probably never activated.
Related: bug 304877

M  +7    -7    applications/settings/modules/powermanagement/contents/ui/Power.qml

http://commits.kde.org/plasma-mobile/7c33ee0a6d2fa5b92431ad974e512f1b5d978366
Comment 7 Oliver Henshaw 2013-03-25 18:50:18 UTC
Git commit c07f1381545005d64e72e0699c9f0de37b492f62 by Oliver Henshaw.
Committed on 25/03/2013 at 17:34.
Pushed by oliverhenshaw into branch 'oliverhenshaw/power-timeouts'.

Suspend idle timeouts are stored in milliseconds

Was storing in centiseconds(?) and in seconds in one place.

Meant that suspend was activated much too soon. Suspend timeouts are
currently commented out due this problem but should work properly when
or if they are re-enabled.
Related: bug 304877

M  +7    -7    applications/settings/modules/powermanagement/contents/ui/Power.qml

http://commits.kde.org/plasma-mobile/c07f1381545005d64e72e0699c9f0de37b492f62